/**
 * groupitem.h
 *
 * Copyright (C)  2004  Zack Rusin <zack@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
#ifndef GROUPITEM_H
#define GROUPITEM_H

class GroupItem
{
public:
    GroupItem( const KURL &url )
    {
        m_name = url.fileName();
    }

    KURL    m_url;
    QString m_name;

    QValueList<EntryItem*> entries() const;
    QValueList<GroupItem*> childGroups() const;

    bool hasEntries() const
    {
        return m_entries.isEmpty();
    }


private:
    QValueList<GroupItem*>  m_childGroups;
    QValueList<ConfigItem*> m_entries;
};

#endif
