/**
 * gconfcontroller.h
 *
 * Copyright (C)  2004  Zack Rusin <zack@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
#ifndef GCONFCONTROLLER_H
#define GCONFCONTROLLER_H


#define TYPE_GCONFCONTROLLER car_get_type()

#define GCONFCONTROLLER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), TYPE_GCONFCONTROLLER, GConfController))

#define GCONFCONTROLLER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), TYPE_GCONFCONTROLLER, GConfControllerClass))

#define IS_GCONFCONTROLLER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), TYPE_GCONFCONTROLLER))

#define GCONFCONTROLLER_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS((o), TYPE_GCONFCONTROLLER, GConfControllerClass))

typedef struct _GConfController GConfController;
typedef struct _GConfControllerClass GConfControllerClass;

struct _GConfController {
    GObject parent;
    /* instance members */
};

struct _GConfControllerClass {
    GObjectClass parent;
    /* class members */
    void (*parse)( GConfController * );
    void (*save)( GConfController * );
};

/* used by MAMAN_BAR_TYPE */
GType gconfcontroller_get_type (void);
GConfController *gconfcontroller_new();

void   gconfcontroller_save( GConfController *self );
void   gconfcontroller_parse( GConfController *self );

#endif
